net.i2p.router.transport

## Class GetBidsJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.transport.GetBidsJob

All Implemented Interfaces:
  Job

     class GetBidsJob
    extends JobImpl

Retrieve a set of bids for a particular outbound message, and if any are found that meet the message's requirements, register the message as in process and pass it on to the transport for processing

### Constructor Summary

Constructors
Constructor and Description
`GetBidsJob(RouterContext ctx, CommSystemFacadeImpl facade, OutNetMessage msg)`

### Method Summary

Methods
`(package private) static void` `getBids(RouterContext context, CommSystemFacadeImpl facade, OutNetMessage msg)`
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

### Methods inherited from class net.i2p.router.JobImpl

`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetBidsJob

    public GetBidsJob(RouterContext ctx,
              CommSystemFacadeImpl facade,
              OutNetMessage msg)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `Job`
Descriptive name of the task

#### runJob

    public void runJob()

Description copied from interface: `Job`
Actually perform the task. This call blocks until the Job is complete.

#### getBids

    static void getBids(RouterContext context,
               CommSystemFacadeImpl facade,
               OutNetMessage msg)